Subject: [bug#67692] add trash-d guix package

From: Steve George <[email-masked]>
Date: Fri, 1 Nov 2024 19:52:04 +0000

Hi Hugo,

You sent a patch to add trash-d for d-lang.

The patch looked reasonable and applies cleanly. I can't get it to build
though. Here's what I'm doing: 

  guix shell --development guix --container --network --nesting --share=/var/log/guix coreutils
  ./pre-inst-env guix build --no-substitutes --no-grafts trash-d@19

It fails in the check phase with

starting phase `check'
[email-masked](645): import std.file;
write("/tmp/guix-build-d-tools-2.105.3.drv-0/rdmd_makefile_test.txt","hello world\n");
Error: cannot find input file `/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/sh.d`
import path[0] = /gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin
import path[1] = /gnu/store/b874bxmbvrq498gq8i0xr4sda15ncx9w-ldc-1.38.0/include/d
Failed: ["ldmd2", "-v", "-o-", "/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/sh.d", "-I/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin"]
make: *** [/tmp/guix-build-d-tools-2.105.3.drv-0/rdmd_makefile_test.mak:5: /tmp/guix-build-d-tools-2.105.3.drv-0/rdmd_makefile_test.txt] Error 1

Futurile